Bug 31498 - Remove explicit nfs-utils requirement
Summary: Remove explicit nfs-utils requirement
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: mount (show other bugs)
Version: unstable
Hardware: all Linux
: P3 normal
Assignee: Alexey Gladkov
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-16 13:34 MSK by Dmitry V. Levin
Modified: 2015-11-18 17:35 MSK (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry V. Levin 2015-11-16 13:34:00 MSK
Явная зависимость пакета mount от пакета nfs-utils, добавленная давным-давно при переезде mount.nfs и umount.nfs из одного пакета в другой, давно утратила свою актуальность.

За последние несколько лет nfs-utils сильно раздулся:
$ hsh --init &>/dev/null
$ hsh-install nfs-utils
<13>Jun  3 12:34:56 rpmi: libwrap-1:7.6-alt11 1297041305 installed
<13>Jun  3 12:34:56 rpmi: liblz4-r127-alt1.svn20141224 1421117238 installed
<13>Jun  3 12:34:56 rpmi: libsystemd-1:219-alt2 1425466649 installed
<13>Jun  3 12:34:56 rpmi: libverto-0.2.6-alt1_4 1419242163 installed
<13>Jun  3 12:34:56 rpmi: libkeyutils-1.5.9-alt1 1398435624 installed
<13>Jun  3 12:34:56 rpmi: libcom_err-1.42.8-alt1 1379765699 installed
<13>Jun  3 12:34:56 rpmi: ca-certificates-2012.12.29-alt1 1387063998 installed
<13>Jun  3 12:34:56 rpmi: libcrypto10-1.0.1k-alt2 1426787855 installed
<13>Jun  3 12:34:56 rpmi: libkrb5-1.13.1-alt1 1424598722 installed
<13>Jun  3 12:34:56 rpmi: libtirpc-0.3.0-alt1 1431026274 installed
<13>Jun  3 12:34:56 rpmi: rpcbind-0.2.3-alt2 1431031161 installed
<86>Jun  3 12:34:56 useradd[31827]: failed adding user 'rpc' (exit code: 9)
<13>Jun  3 12:34:56 rpmi: libssl10-1.0.1k-alt2 1426787855 installed
<13>Jun  3 12:34:56 rpmi: nfs-utils-1:1.3.2-alt2 1423151651 installed

Решения типовых задач, в которых nfs-клиент не нужен, заметно выиграют, когда mount перестанет вытягивать nfs-utils.

Полагаю, что мантейнеры профилей в состоянии добавить nfs-utils там, где это необходимо.
Comment 1 Michael Shigorin 2015-11-16 16:03:35 MSK
Да, минимальный чрут стал сильно пухлее со временем.
Comment 2 Repository Robot 2015-11-18 01:58:45 MSK
util-linux-2.27.1-alt1 -> sisyphus:

* Mon Nov 16 2015 Alexey Gladkov <legion@altlinux> 2.27.1-alt1
- New version (2.27.1).
- Remove explicit nfs-utils requirement (ALT#31498).
- Rewrite pause in a portable way (thx: glebfm@).
Comment 3 Dmitry V. Levin 2015-11-18 17:35:24 MSK
Спасибо.